Bug 165120 - JavaSystem.gc related java.lang.NoSuchMethodError
JavaSystem.gc related java.lang.NoSuchMethodError
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 10:52 EDT by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 17:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fairly dubious patch (1.44 KB, patch)
2005-08-04 10:53 EDT, Caolan McNamara
no flags Details | Diff
Another patch (368 bytes, patch)
2005-08-04 11:42 EDT, Gary Benson
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2005-08-04 10:52:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050730 Fedora/1.7.11-1

Description of problem:
use of JavaSystem.gc seems to be problematic

Version-Release number of selected component (if applicable):
hsqldb-1.80.1-1jpp_1fc

How reproducible:
Always

Steps to Reproduce:
> cp /usr/share/java/hsqldb.jar /usr/lib/openoffice.org2.0/program/classes
> oobase
press "finish"->"Save"->"Tables",

Actual Results:  get error dialog "java.lang.NoSuchMethodError"

Additional info:

rebuild hsqldb with dodgy patch attached
rinse and repeat -> no error
Comment 1 Caolan McNamara 2005-08-04 10:53:41 EDT
Created attachment 117449 [details]
fairly dubious patch
Comment 2 Gary Benson 2005-08-04 11:42:01 EDT
Created attachment 117457 [details]
Another patch

Hmmm, I can't reproduce this.  Does it go away if you use this patch instead of
yours?

Also, what version of libgcj are you using?
Comment 3 Gary Benson 2005-08-04 12:10:13 EDT
FYI JavaSystem.gc() gets called 63 times on my box inbetween my clicking
"Tables" and them being displayed:

 20 at org.hsqldb.CompiledStatementExecutor.execute(org.hsqldb.CompiledStatement)
 22 at org.hsqldb.DatabaseCommandInterpreter.execute(java.lang.String)
 21 at org.hsqldb.Session.execute(org.hsqldb.Result)
Comment 4 Caolan McNamara 2005-08-05 06:49:00 EDT
strange, with...

openoffice.org-base-1.9.122-3.2.0.fc5
hsqldb-1.80.1-1jpp_1fc
libgcj-4.0.1-6

oobase -> press "finish"->"Save"->"Tables", "java.lang.NoSuchMethodError", click
on "Tables" again, "java.lang.NoSuchFieldError: field
org.hsqldb.lib.java.JavaSystem.gcFrequency was not found"

ExceptionDescribe are:
1st exception:
java.sql.SQLException: General error: java.lang.NoSuchMethodError
   at org.hsqldb.jdbc.Util.sqlException(org.hsqldb.HsqlException)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at
org.hsqldb.jdbc.jdbcConnection.jdbcConnection(org.hsqldb.persist.HsqlProperties)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at org.hsqldb.jdbcDriver.getConnection(java.lang.String,
java.util.Properties) (/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at org.hsqldb.jdbcDriver.connect(java.lang.String, java.util.Properties)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at SvtIconChoiceCtrl.ClickIcon() (/opt/openoffice.testing/program/libsvt680li.so)
   at SvtIconChoiceCtrl.MouseButtonDown(MouseEvent const&)
(/opt/openoffice.testing/program/libsvt680li.so)   at .g_closure_invoke
(/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit_valist (/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit (/usr/lib/libgobject-2.0.so.0.701.5)
   at .gtk_propagate_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .gtk_main_do_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .g_main_context_dispatch (/usr/lib/libglib-2.0.so.0.701.5)
   at .g_main_context_iteration (/usr/lib/libglib-2.0.so.0.701.5)
   at X11SalInstance.Yield(unsigned char)
(/opt/openoffice.testing/program/libvclplug_gen680li.so)
   at Application.Yield() (/opt/openoffice.testing/program/libvcl680li.so)
   at Application.Execute() (/opt/openoffice.testing/program/libvcl680li.so)
   at desktop.Desktop.Main() (/opt/openoffice.testing/program/soffice.bin)
   at .SVMain() (/opt/openoffice.testing/program/libvcl680li.so)
   at .sal_main (/opt/openoffice.testing/program/soffice.bin)
   at .__libc_start_main (/lib/libc-2.3.90.so)
   at Window.RequestHelp(HelpEvent const&)
(/opt/openoffice.testing/program/soffice.bin)

2nd exception is...
java.sql.SQLException: General error: java.lang.NoSuchFieldError: field
org.hsqldb.lib.java.JavaSystem.gcFrequency was not found.
   at org.hsqldb.jdbc.Util.sqlException(org.hsqldb.HsqlException)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at
org.hsqldb.jdbc.jdbcConnection.jdbcConnection(org.hsqldb.persist.HsqlProperties)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at org.hsqldb.jdbcDriver.getConnection(java.lang.String,
java.util.Properties) (/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at org.hsqldb.jdbcDriver.connect(java.lang.String, java.util.Properties)
(/usr/lib/gcj/hsqldb/hsqldb-1.80.1.jar.so)
   at SvtIconChoiceCtrl.ClickIcon() (/opt/openoffice.testing/program/libsvt680li.so)
   at SvtIconChoiceCtrl.MouseButtonDown(MouseEvent const&)
(/opt/openoffice.testing/program/libsvt680li.so)   at .g_closure_invoke
(/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit_valist (/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit (/usr/lib/libgobject-2.0.so.0.701.5)
   at .gtk_propagate_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .gtk_main_do_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .g_main_context_dispatch (/usr/lib/libglib-2.0.so.0.701.5)
   at .g_main_context_iteration (/usr/lib/libglib-2.0.so.0.701.5)
   at X11SalInstance.Yield(unsigned char)
(/opt/openoffice.testing/program/libvclplug_gen680li.so)
   at Application.Yield() (/opt/openoffice.testing/program/libvcl680li.so)
   at Application.Execute() (/opt/openoffice.testing/program/libvcl680li.so)
   at desktop.Desktop.Main() (/opt/openoffice.testing/program/soffice.bin)
   at .SVMain() (/opt/openoffice.testing/program/libvcl680li.so)
   at .sal_main (/opt/openoffice.testing/program/soffice.bin)
   at .__libc_start_main (/lib/libc-2.3.90.so)
   at Window.RequestHelp(HelpEvent const&)
(/opt/openoffice.testing/program/soffice.bin)

deleting the .so then the exceptions are...

java.sql.SQLException: General error: java.lang.NoSuchMethodError: method
org.hsqldb.lib.java.JavaSystem.gc with signature ()V was not found.
   at org.hsqldb.jdbc.Util.sqlException(org.hsqldb.HsqlException) (Unknown Source)
   at
org.hsqldb.jdbc.jdbcConnection.jdbcConnection(org.hsqldb.persist.HsqlProperties)
(Unknown Source)
   at org.hsqldb.jdbcDriver.getConnection(java.lang.String,
java.util.Properties) (Unknown Source)
   at org.hsqldb.jdbcDriver.connect(java.lang.String, java.util.Properties)
(Unknown Source)
   at SvtIconChoiceCtrl.ClickIcon() (/opt/openoffice.testing/program/libsvt680li.so)
   at SvtIconChoiceCtrl.MouseButtonDown(MouseEvent const&)
(/opt/openoffice.testing/program/libsvt680li.so)   at .g_closure_invoke
(/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit_valist (/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit (/usr/lib/libgobject-2.0.so.0.701.5)
   at .gtk_propagate_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .gtk_main_do_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .g_main_context_dispatch (/usr/lib/libglib-2.0.so.0.701.5)
   at .g_main_context_iteration (/usr/lib/libglib-2.0.so.0.701.5)
   at X11SalInstance.Yield(unsigned char)
(/opt/openoffice.testing/program/libvclplug_gen680li.so)
   at Application.Yield() (/opt/openoffice.testing/program/libvcl680li.so)
   at Application.Execute() (/opt/openoffice.testing/program/libvcl680li.so)

2nd is then...
java.sql.SQLException: General error: java.lang.NoSuchFieldError: field
org.hsqldb.lib.java.JavaSystem.gcFrequency was not found.
   at org.hsqldb.jdbc.Util.sqlException(org.hsqldb.HsqlException) (Unknown Source)
   at
org.hsqldb.jdbc.jdbcConnection.jdbcConnection(org.hsqldb.persist.HsqlProperties)
(Unknown Source)
   at org.hsqldb.jdbcDriver.getConnection(java.lang.String,
java.util.Properties) (Unknown Source)
   at org.hsqldb.jdbcDriver.connect(java.lang.String, java.util.Properties)
(Unknown Source)
   at SvtIconChoiceCtrl.ClickIcon() (/opt/openoffice.testing/program/libsvt680li.so)
   at SvtIconChoiceCtrl.MouseButtonDown(MouseEvent const&)
(/opt/openoffice.testing/program/libsvt680li.so)   at .g_closure_invoke
(/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit_valist (/usr/lib/libgobject-2.0.so.0.701.5)
   at .g_signal_emit (/usr/lib/libgobject-2.0.so.0.701.5)
   at .gtk_propagate_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .gtk_main_do_event (/usr/lib/libgtk-x11-2.0.so.0.703.1)
   at .g_main_context_dispatch (/usr/lib/libglib-2.0.so.0.701.5)
   at .g_main_context_iteration (/usr/lib/libglib-2.0.so.0.701.5)
   at X11SalInstance.Yield(unsigned char)
(/opt/openoffice.testing/program/libvclplug_gen680li.so)
   at Application.Yield() (/opt/openoffice.testing/program/libvcl680li.so)
   at Application.Execute() (/opt/openoffice.testing/program/libvcl680li.so)

Comment 5 Gary Benson 2005-08-05 07:06:30 EDT
Wierd.  What does this say:

jar xf /usr/lib/openoffice.org2.0/program/classes/hsqldb.jar \
      org/hsqldb/lib/java/JavaSystem.class
jcf-dump org/hsqldb/lib/java/JavaSystem.class
Comment 6 Caolan McNamara 2005-08-05 07:21:05 EDT
dammit, this is a real heisenbug, now I don't see it, but did 2 minutes ago.
maybe just forget about it until system hsqldb using OOo 1.9.122-3 hits rawhide
and see if I'm just somehow moronic.


Reading .class from org/hsqldb/lib/java/JavaSystem.class.
Magic number: 0xcafebabe, minor_version: 0, major_version: 46.

Access flags: 0x21 public super
This class: org.hsqldb.lib.java.JavaSystem, super: java.lang.Object
Interfaces (count: 0):

Fields (count: 2):
Field name:"gcFrequency" public static Signature: int
Field name:"memoryRecords" public static Signature: int

Methods (count: 10):

Method name:"<init>" public Signature: ()void
Attribute "Code", length:17, max_stack:1, max_locals:1, code_length:5

Method name:"gc" public static Signature: ()void
Attribute "Code", length:35, max_stack:2, max_locals:0, code_length:23

Method name:"CompareIngnoreCase" public static Signature:
(java.lang.String,java.lang.String)int
Attribute "Code", length:18, max_stack:2, max_locals:2, code_length:6

Method name:"getUnscaledValue" public static Signature:
(java.math.BigDecimal)java.math.BigInteger
Attribute "Code", length:17, max_stack:1, max_locals:1, code_length:5

Method name:"setLogToSystem" public static Signature: (boolean)void
Attribute "Code", length:48, max_stack:3, max_locals:2, code_length:28
Exceptions (count: 1):
  start: 0, end: 26, handler: 26, type: java.lang.Exception

Method name:"deleteOnExit" public static Signature: (java.io.File)void
Attribute "Code", length:17, max_stack:1, max_locals:1, code_length:5

Method name:"saveProperties" public static Signature:
(java.util.Properties,java.lang.String,java.io.File)void
Attribute "Exceptions", length:6, count: 2
  0: <Class java.io.FileNotFoundException>
  1: <Class java.io.IOException>
Attribute "Code", length:34, max_stack:3, max_locals:4, code_length:22

Method name:"saveProperties" public static Signature:
(java.util.Properties,java.lang.String,java.io.OutputStream)void
Attribute "Exceptions", length:4, count: 1
  0: <Class java.io.IOException>
Attribute "Code", length:19, max_stack:3, max_locals:3, code_length:7

Method name:"runFinalizers" public static Signature: ()void
Attribute "Code", length:13, max_stack:0, max_locals:0, code_length:1

Method name:"createNewFile" public static Signature: (java.io.File)void
Attribute "Code", length:30, max_stack:1, max_locals:1, code_length:10
Exceptions (count: 1):
  start: 0, end: 8, handler: 8, type: java.io.IOException

Attributes (count: 0):
Comment 7 Gary Benson 2005-08-05 07:47:30 EDT
Maybe it's a race in the classloader or something like that...
Comment 8 Gary Benson 2005-11-10 05:36:16 EST
Caolan, is this still an issue?
Comment 9 Caolan McNamara 2005-11-10 05:43:23 EST
yes, rawhide install openoffice.org-base-2.0.1-0.138.3.2.i386.rpm

oobase -> press "finish"->"Save"->"Tables", "java.lang.NoSuchMethodError",


SQL Status: S1000
Error code: -40

General error: java.lang.NullPointerException
Comment 10 Archit Shah 2005-11-10 15:35:31 EST
While testing oobase for bug 172305, I didn't encounter this problem. Maybe this
is configuration related? What does the OO.o Java config look like?

# cat ~/.openoffice.org2.0/user/config/javasettings_Linux_x86.xml
<?xml version="1.0" encoding="UTF-8"?>
<!--This is a generated file. Do not alter this file!-->
<java xmlns="http://openoffice.org/2004/java/framework/1.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<enabled xsi:nil="true"/>
<userClassPath xsi:nil="true"/>
<vmParameters xsi:nil="true"/>
<jreLocations xsi:nil="true"/>
<javaInfo xsi:nil="false" vendorUpdate="2004-01-30" autoSelect="false">
<vendor>Free Software Foundation, Inc.</vendor>
<location>file:///usr</location>
<version>1.4.2</version>
<features>0</features>
<requirements>0</requirements>
<vendorData>660069006C0065003A002F002F002F007500730072002F006C00690062002F006C0069006200670063006A002E0073006F002E003600</vendorData>
</javaInfo>
</java>

Comment 11 Caolan McNamara 2005-11-11 03:55:40 EST
libgcj-4.0.2-3
openoffice.org-base-2.0.1-0.138.3.2
hsqldb-1.80.1-1jpp_3fc


<?xml version="1.0" encoding="UTF-8"?>
<!--This is a generated file. Do not alter this file!-->
<java xmlns="http://openoffice.org/2004/java/framework/1.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<enabled xsi:nil="true"/>
<userClassPath xsi:nil="true"/>
<vmParameters xsi:nil="true"/>
<jreLocations xsi:nil="true"/>
<javaInfo xsi:nil="false" vendorUpdate="2004-01-30" autoSelect="true">
<vendor>Free Software Foundation, Inc.</vendor>
<location>file:///usr</location>
<version>1.4.2</version>
<features>0</features>
<requirements>0</requirements>
<vendorData>660069006C0065003A002F002F002F007500730072002F006C00690062002F006C0069006200670063006A002E0073006F002E003600</vendorData>
</javaInfo>
</java>

If this is only affecting me and noone else on rawhide, then just forget about it.
Comment 12 Deepak Bhole 2007-04-03 15:58:35 EDT
Is this issue still reproducible?
Comment 13 Caolan McNamara 2007-04-03 17:56:16 EDT
Haven't seen it for ages, let's close it out.

Note You need to log in before you can comment on or make changes to this bug.